diff sources/control-images/bootstrap-skeleton/files/run-build-stages.sh @ 1282:44073390f2b3

Move the manifest tracking from build-one-package to run-build-stages and make it actually work.
author Rob Landley <rob@landley.net>
date Thu, 11 Nov 2010 04:49:16 -0600
parents a4cb2ed0a551
children
line wrap: on
line diff
--- a/sources/control-images/bootstrap-skeleton/files/run-build-stages.sh	Tue Nov 09 20:43:04 2010 -0600
+++ b/sources/control-images/bootstrap-skeleton/files/run-build-stages.sh	Thu Nov 11 04:49:16 2010 -0600
@@ -2,8 +2,19 @@
 
 # Run each of the individual package build files, in order.
 
+[ -z "$MANIFEST" ] && MANIFEST=/usr/src/packages
+touch "$MANIFEST"
+  
 [ -z "$FILTER" ] || FILTER="/$FILTER/d"
 for i in $(sed -r -e "$FILTER" -e "s@#.*@@" /mnt/package-list)
 do
+  if [ -z "$FORCE" ] && grep -q "$i" "$MANIFEST"
+  then
+    echo "$i already installed"
+    continue
+  fi
   /mnt/build-one-package.sh "$i" || exit 1
+  
+  sed -i -e "/$i/d" "$MANIFEST" &&
+  echo "$i" >> "$MANIFEST" || exit 1
 done